Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex
Class ControlPlaybackManager

    java.lang.Object
      |
      +--com.neoworks.jukex.ControlPlaybackManager

public class ControlPlaybackManager
extends java.lang.Object

ControlPlayback manager.

Author:
  Nigel Atkinson (nigel@neoworks.com)

Constructor Summary
`ControlPlaybackManager()`

Method Summary
`ControlPlayback` | `getControlPlayback(java.lang.String name)` Get a ControlPlayback object by name
`java.util.Set` | `listAllControlPlaybacks()` List all of the registered ControlPlaybacks
`void` | `registerControlPlayback(java.lang.String name, ControlPlayback cp)` Register a ControlPlayback
`void` | `unregisterControlPlayback(java.lang.String name)` Unregister a ControlPlayback

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlPlaybackManager

    public ControlPlaybackManager()

Method Detail

### getControlPlayback

    public ControlPlayback getControlPlayback(java.lang.String name)

  Get a ControlPlayback object by name

  Parameters:
    `name` - The name of the ControlPlayback object
  Returns:
    The ControlPlayback or null

### registerControlPlayback

    public void registerControlPlayback(java.lang.String name,
                                        ControlPlayback cp)

  Register a ControlPlayback

  Parameters:
    `name` - The name to register under
    `cp` - The ControlPlayback object

### unregisterControlPlayback

    public void unregisterControlPlayback(java.lang.String name)

  Unregister a ControlPlayback

  Parameters:
    `name` - The name of the ControlPlayback to unregister

### listAllControlPlaybacks

    public java.util.Set listAllControlPlaybacks()

  List all of the registered ControlPlaybacks

  Returns:
    A Set of the ControlPlayback names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD